# Gimp.Path.parse

    @accepts(unicode, int, bool, [filename])
    @returns([filename])
    def parse(path, max_paths, check, check_failed):
        # Python wrapper for gimp_path_parse()

path

  A list of directories separated by #G_SEARCHPATH_SEPARATOR.

max_paths

  The maximum number of directories to return.

check

  True if you want the directories to be checked.

check_failed

  Returns a GLib.List of path elements for which the check failed.

Returns